#
# spec file for package ghc-cgi
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name cgi
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        3001.3.0.2
Release:        8.9
Summary:        A library for writing CGI programs
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-multipart-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-xhtml-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-doctest-devel
%endif

%description
This is a Haskell library for writing CGI programs.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Nov 22 2016 psimons@suse.com
- Update to version 3001.3.0.2 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 3001.3.0.1 revision 0 with cabal2obs.
* Sun Apr 10 2016 mimi.vx@gmail.com
- update to 3001.3.0.1
  * Bumped doctest to version < 0.12
* Mon Mar  7 2016 mimi.vx@gmail.com
- update to 3001.3.0.0
- remove uselees _service
  * Cookie.hs: cookieExpires now has type `Maybe UTCTime` rather than
    `Maybe CalendarTime`
  * Protocol.hs: URL decoding functions no longer decode UTF-8 encoding
  * Functor and Applicative instance of CGIT no longer constrain Functor or
  Applicative parameter to be an instance of Monad
* Fri Jan 22 2016 mimi.vx@gmail.com
- update to 3001.2.2.3
  * CGI.hs haddock: Use web.archive.org link for CGI specification
* Mon Jul  6 2015 peter.trommler@ohm-hochschule.de
- initial checkin
